---
- name: Wait for automatic system updates
  become: yes
  shell:
    "if [ -e /bin/fuser ]; then while sudo fuser /var/lib/dpkg/lock >/dev/null \
      2>&1; do sleep 1; done; fi;"
  changed_when: false

- name: Install list of packages
  environment: "{{ proxy_env }}"
  apt:
    name:
      - apt-transport-https
      - ca-certificates
      - curl
      - gnupg2
      - software-properties-common
    state: present

- name: Install python-pip
  environment: "{{ proxy_env }}"
  apt:
    name: python-pip
    state: present
  when: ansible_python.version.major == 2

- name: Install python3-pip
  environment: "{{ proxy_env }}"
  apt:
    name: python3-pip
    state: present
  when: ansible_python.version.major == 3

- name: retrieve linux type
  set_fact:
    distri: "{{ ansible_distribution.lower() }}"

- name: retrieve docker apt key
  environment: "{{ proxy_env }}"
  apt_key:
    url: "https://download.docker.com/linux/{{ distri }}/gpg"
    id: 0EBFCD88
    state: present

- name: retrieve linux release
  set_fact:
    release: "{{ ansible_distribution_release.lower() }}"

- name: add docker repo
  environment: "{{ proxy_env }}"
  apt_repository:
    repo: >
      deb [arch=amd64] https://download.docker.com/linux/{{ distri }}
        {{ release }} stable
    state: present

- name: Wait for automatic system updates
  become: yes
  shell:
    "if [ -e /bin/fuser ]; then while sudo fuser /var/lib/dpkg/lock >/dev/null \
      2>&1; do sleep 1; done; fi;"
  changed_when: false

- name: "install docker {{ docker_version[release] }}"
  environment: "{{ proxy_env }}"
  apt:
    update_cache: 'yes'
    name: "docker-ce={{ docker_version[release] }}"
    state: present
